Package ru.bitel.bgbilling.kernel.tariff.common.bean

# Class TariffLabelItem

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.tariff.common.bean.TariffLabelItem

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class TariffLabelItem extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TariffLabelItem()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getParentId()`
  `int`
  `getTariffLinkCount()`
  `boolean`
  `isSelected()`
  `void`
  `setParentId(int parentId)`
  `void`
  `setSelected(boolean selected)`
  `void`
  `setTariffLinkCount(int tariffLinkCount)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### TariffLabelItem

    public TariffLabelItem()

- ## Method Details

  - ### getParentId

    public int getParentId()

  - ### setParentId

    public void setParentId(int parentId)

  - ### getTariffLinkCount

    public int getTariffLinkCount()

  - ### setTariffLinkCount

    public void setTariffLinkCount(int tariffLinkCount)

  - ### isSelected

    public boolean isSelected()

  - ### setSelected

    public void setSelected(boolean selected)